gnutls_cipher_get_id(3)

NAME
gnutls_cipher_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_cipher_algorithm_t gnutls_cipher_get_id(const char * name);

ARGUMENTS

const char * name
    is a cipher algorithm name

DESCRIPTION
The names are compared in a case insensitive way.

RETURNS
return a gnutls_cipher_algorithm_t value corresponding to the specified cipher, or GNUTLS_CIPHER_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/